Package com.independentsoft.office.spreadsheet

# Class FileVersion

java.lang.Object
com.independentsoft.office.spreadsheet.FileVersion

public class FileVersion extends Object
The Class FileVersion.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileVersion()`
  Instantiates a new file version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FileVersion`
  `clone()`
  `String`
  `getApplicationName()`
  Gets the application name.
  `String`
  `getBuildVersion()`
  Gets the builds the version.
  `String`
  `getCodeName()`
  Gets the code name.
  `String`
  `getLastEditedVersion()`
  Gets the last edited version.
  `String`
  `getLowestEditedVersion()`
  Gets the lowest edited version.
  `void`
  `setApplicationName​(String applicationName)`
  Sets the application name.
  `void`
  `setBuildVersion​(String buildVersion)`
  Sets the builds the version.
  `void`
  `setCodeName​(String codeName)`
  Sets the code name.
  `void`
  `setLastEditedVersion​(String lastEditedVersion)`
  Sets the last edited version.
  `void`
  `setLowestEditedVersion​(String lowestEditedVersion)`
  Sets the lowest edited version.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FileVersion

    public FileVersion()
    Instantiates a new file version.

- ## Method Details

  - ### clone

    public FileVersion clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getApplicationName

    public String getApplicationName()
    Gets the application name.
    Returns:
      the application name

  - ### setApplicationName

    public void setApplicationName​(String applicationName)
    Sets the application name.
    Parameters:
      `applicationName` - the new application name

  - ### getCodeName

    public String getCodeName()
    Gets the code name.
    Returns:
      the code name

  - ### setCodeName

    public void setCodeName​(String codeName)
    Sets the code name.
    Parameters:
      `codeName` - the new code name

  - ### getLastEditedVersion

    public String getLastEditedVersion()
    Gets the last edited version.
    Returns:
      the last edited version

  - ### setLastEditedVersion

    public void setLastEditedVersion​(String lastEditedVersion)
    Sets the last edited version.
    Parameters:
      `lastEditedVersion` - the new last edited version

  - ### getLowestEditedVersion

    public String getLowestEditedVersion()
    Gets the lowest edited version.
    Returns:
      the lowest edited version

  - ### setLowestEditedVersion

    public void setLowestEditedVersion​(String lowestEditedVersion)
    Sets the lowest edited version.
    Parameters:
      `lowestEditedVersion` - the new lowest edited version

  - ### getBuildVersion

    public String getBuildVersion()
    Gets the builds the version.
    Returns:
      the builds the version

  - ### setBuildVersion

    public void setBuildVersion​(String buildVersion)
    Sets the builds the version.
    Parameters:
      `buildVersion` - the new builds the version